# ncurses 5.9 - patch 20130720 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20130720.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Jul 20 20:58:29 UTC 2013
# ------------------------------------------------------------------------------
# NEWS                     |    6 +
# dist.mk                  |    4 -
# include/Caps.keys        |   10 +-
# man/curs_initscr.3x      |   10 +-
# man/curs_inopts.3x       |   20 +++--
# man/curs_opaque.3x       |   13 ++-
# man/curs_terminfo.3x     |  167 +++++++++++++++++++++++++++++----------------
# man/curs_util.3x         |   28 ++++---
# man/ncurses.3x           |    8 +-
# man/tic.1m               |   12 ++-
# man/tset.1               |   70 +++++++++++-------
# package/debian/changelog |    4 -
# package/ncurses.spec     |    2 
# 13 files changed, 229 insertions(+), 125 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2079 
--- ncurses-5.9-20130713+/NEWS	2013-07-13 23:21:51.000000000 +0000
+++ ncurses-5.9-20130720/NEWS	2013-07-20 19:13:11.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2079 2013/07/13 23:21:51 tom Exp $
+-- $Id: NEWS,v 1.2080 2013/07/20 19:13:11 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20130720
+	+ further improvements for setupterm manpage, clarifying the
+	  initialization of cur_term.
+
 20130713
 	+ improve manpages for initscr and setupterm.
 	+ minor compiler-warning fixes
Index: dist.mk
Prereq:  1.936 
--- ncurses-5.9-20130713+/dist.mk	2013-07-13 17:11:30.000000000 +0000
+++ ncurses-5.9-20130720/dist.mk	2013-07-20 16:49:03.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.936 2013/07/13 17:11:30 tom Exp $
+# $Id: dist.mk,v 1.937 2013/07/20 16:49:03 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20130713
+NCURSES_PATCH = 20130720
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/Caps.keys
Prereq:  1.5 
--- ncurses-5.9-20130713+/include/Caps.keys	2011-10-15 23:19:52.000000000 +0000
+++ ncurses-5.9-20130720/include/Caps.keys	2013-07-20 17:59:24.000000000 +0000
@@ -29,7 +29,7 @@
 # Author: Thomas Dickey
 #    and: Ilya Zakharevich
 #
-# $Id: Caps.keys,v 1.5 2011/10/15 23:19:52 tom Exp $
+# $Id: Caps.keys,v 1.6 2013/07/20 17:59:24 tom Exp $
 #
 # This is an adaptation of ncurses' termcap/terminfo capability table, which
 # is illustrates an experimental extension to describe alt-, shift- and
@@ -229,11 +229,11 @@
 over_strike			os	bool	os	-	-	YBCG-	terminal can overstrike
 status_line_esc_ok		eslok	bool	es	-	-	YB-G-	escape can be used on the status line
 dest_tabs_magic_smso		xt	bool	xt	-	-	YBCGE	tabs destructive, magic so char (t1061)
-tilde_glitch			hz	bool	hz	-	-	YB-GE	can't print ~'s (hazeltine)
+tilde_glitch			hz	bool	hz	-	-	YB-GE	cannot print ~'s (hazeltine)
 transparent_underline		ul	bool	ul	-	-	YBCGE	underline character overstrikes
 xon_xoff			xon	bool	xo	-	-	YB---	terminal uses xon/xoff handshaking
-needs_xon_xoff			nxon	bool	nx	-	-	-----	padding won't work, xon/xoff required
-prtr_silent			mc5i	bool	5i	-	-	-----	printer won't echo on screen
+needs_xon_xoff			nxon	bool	nx	-	-	-----	padding will not work, xon/xoff required
+prtr_silent			mc5i	bool	5i	-	-	-----	printer will not echo on screen
 hard_cursor			chts	bool	HC	-	-	-----	cursor is hard to see
 non_rev_rmcup			nrrmc	bool	NR	-	-	-----	smcup does not reverse rmcup
 no_pad_char			npc	bool	NP	-	-	-----	pad character does not exist
@@ -277,7 +277,7 @@
 # These came in with SVr4's color support
 max_colors			colors	num	Co	-	-	-----	maximum number of colors on screen
 max_pairs			pairs	num	pa	-	-	-----	maximum number of color-pairs on the screen
-no_color_video			ncv	num	NC	-	-	-----	video attributes that can't be used with colors
+no_color_video			ncv	num	NC	-	-	-----	video attributes that cannot be used with colors
 #%.TE
 #%.ad
 #%
Index: man/curs_initscr.3x
Prereq:  1.18 
--- ncurses-5.9-20130713+/man/curs_initscr.3x	2013-07-13 22:45:52.000000000 +0000
+++ ncurses-5.9-20130720/man/curs_initscr.3x	2013-07-20 19:34:14.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_initscr.3x,v 1.18 2013/07/13 22:45:52 tom Exp $
+.\" $Id: curs_initscr.3x,v 1.19 2013/07/20 19:34:14 tom Exp $
 .TH curs_initscr 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .na
 .hy 0
 .SH NAME
@@ -123,7 +127,7 @@
 in XSI Curses.
 .PP
 If the TERM variable is missing or empty, \fBinitscr\fP uses the
-value ``unknown'',
+value \*(``unknown\*('',
 which normally corresponds to a terminal entry with the \fIgeneric\fP
 (\fIgn\fP) capability.
 Generic entries are detected by \fBsetupterm\fP(3X) and cannot be
Index: man/curs_inopts.3x
Prereq:  1.17 
--- ncurses-5.9-20130713+/man/curs_inopts.3x	2012-04-28 19:09:15.000000000 +0000
+++ ncurses-5.9-20130720/man/curs_inopts.3x	2013-07-20 19:42:02.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_inopts.3x,v 1.17 2012/04/28 19:09:15 tom Exp $
+.\" $Id: curs_inopts.3x,v 1.18 2013/07/20 19:42:02 tom Exp $
 .TH curs_inopts 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .na
 .hy 0
 .SH NAME
@@ -188,11 +192,13 @@
 plus the additional capability of being able to block for only
 \fIdelay\fR milliseconds (where \fIdelay\fR is positive).
 .PP
-The \fBcurses\fR library does ``line-breakout optimization'' by looking for
-typeahead periodically while updating the screen.  If input is found,
-and it is coming from a tty, the current update is postponed until
-\fBrefresh\fR or \fBdoupdate\fR is called again.  This allows faster
-response to commands typed in advance.  Normally, the input FILE
+The \fBcurses\fR library does \*(``line-breakout optimization\*(''
+by looking for typeahead periodically while updating the screen.
+If input is found, and it is coming from a tty,
+the current update is postponed until
+\fBrefresh\fR or \fBdoupdate\fR is called again.
+This allows faster response to commands typed in advance.
+Normally, the input FILE
 pointer passed to \fBnewterm\fR, or \fBstdin\fR in the case that
 \fBinitscr\fR was used, will be used to do this typeahead checking.
 The \fBtypeahead\fR routine specifies that the file descriptor
Index: man/curs_opaque.3x
Prereq:  1.9 
--- ncurses-5.9-20130713+/man/curs_opaque.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-5.9-20130720/man/curs_opaque.3x	2013-07-20 19:42:29.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2007-2009,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2007-2010,2013 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_opaque.3x,v 1.9 2010/12/04 18:40:45 tom Exp $
+.\" $Id: curs_opaque.3x,v 1.10 2013/07/20 19:42:29 tom Exp $
 .TH curs_opaque 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .na
 .hy 0
 .SH NAME
@@ -78,7 +82,7 @@
 .br
 .SH DESCRIPTION
 This implementation provides functions which return properties
-set in the WINDOW structure, allowing it to be ``opaque'' if
+set in the WINDOW structure, allowing it to be \*(``opaque\*('' if
 the symbol \fBNCURSES_OPAQUE\fR is defined:
 .TP 5
 \fBis_cleared\fR
@@ -124,7 +128,8 @@
 or NULL for windows having no parent.
 .TP 5
 \fBwgetscrreg\fR
-returns the top and bottom rows for the scrolling margin as set in \fBwsetscrreg\fP.
+returns the top and bottom rows for the scrolling margin
+as set in \fBwsetscrreg\fP.
 .SH RETURN VALUE
 These functions all return TRUE or FALSE, except as noted.
 .SH NOTES
Index: man/curs_terminfo.3x
Prereq:  1.38 
--- ncurses-5.9-20130713+/man/curs_terminfo.3x	2013-07-13 23:12:13.000000000 +0000
+++ ncurses-5.9-20130720/man/curs_terminfo.3x	2013-07-20 19:29:59.000000000 +0000
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_terminfo.3x,v 1.38 2013/07/13 23:12:13 tom Exp $
+.\" $Id: curs_terminfo.3x,v 1.43 2013/07/20 19:29:59 tom Exp $
 .TH curs_terminfo 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .de bP
 .IP \(bu 4
 ..
@@ -101,40 +105,54 @@
 capabilities, such as programming function keys.  For all other
 functionality, \fBcurses\fR routines are more suitable and their use is
 recommended.
+.SS Initialization
 .PP
 Initially, \fBsetupterm\fR should be called.  Note that
 \fBsetupterm\fR is automatically called by \fBinitscr\fR and
 \fBnewterm\fR.  This defines the set of terminal-dependent variables
 [listed in \fBterminfo\fR(\*n)].
+.PP
+Each initialization routine provides applications with the
+terminal capabilities either directly (via header definitions),
+or by special functions.
+The header files \fBcurses.h\fR and \fBterm.h\fR should be included (in this
+order) to get the definitions for these strings, numbers, and flags.
+.PP
 The \fBterminfo\fR variables
 \fBlines\fR and \fBcolumns\fR are initialized by \fBsetupterm\fR as
 follows:
-.RS
-.PP
+.bP
 If \fBuse_env(FALSE)\fR has been called, values for
 \fBlines\fR and \fBcolumns\fR specified in \fBterminfo\fR are used.
-.PP
+.bP
 Otherwise, if the environment variables \fBLINES\fR and \fBCOLUMNS\fR
 exist, their values are used.  If these environment variables do not
 exist and the program is running in a window, the current window size
 is used.  Otherwise, if the environment variables do not exist, the
 values for \fBlines\fR and \fBcolumns\fR specified in the
 \fBterminfo\fR database are used.
-.RE
 .PP
-The header files \fBcurses.h\fR and \fBterm.h\fR should be included (in this
-order) to get the definitions for these strings, numbers, and flags.
 Parameterized strings should be passed through \fBtparm\fR to instantiate them. 
 All \fBterminfo\fR strings [including the output of \fBtparm\fR] should be printed
-with \fBtputs\fR or \fBputp\fR.  Call the \fBreset_shell_mode\fR to restore the
-tty modes before exiting [see \fBcurs_kernel\fR(3X)].  Programs which use
-cursor addressing should output \fBenter_ca_mode\fR upon startup and should
-output \fBexit_ca_mode\fR before exiting.  Programs desiring shell escapes
-should call
-.PP
-\fBreset_shell_mode\fR and output \fBexit_ca_mode\fR before the shell
-is called and should output \fBenter_ca_mode\fR and call
-\fBreset_prog_mode\fR after returning from the shell.
+with \fBtputs\fR or \fBputp\fR.
+Call \fBreset_shell_mode\fR to restore the
+tty modes before exiting [see \fBcurs_kernel\fR(3X)].
+.PP
+Programs which use
+cursor addressing should
+.bP
+output \fBenter_ca_mode\fR upon startup and
+.bP
+output \fBexit_ca_mode\fR before exiting.
+.PP
+Programs which execute shell subprocesses should
+.bP
+call \fBreset_shell_mode\fR and
+output \fBexit_ca_mode\fR before the shell
+is called and
+.bP
+output \fBenter_ca_mode\fR and
+call \fBreset_prog_mode\fR after returning from the shell.
 .PP
 The \fBsetupterm\fR routine reads in the \fBterminfo\fR database,
 initializing the \fBterminfo\fR structures, but does not set up the
@@ -149,7 +167,6 @@
 A return value of \fBOK\fR combined with status of \fB1\fR in \fIerrret\fR
 is normal.
 If \fBERR\fR is returned, examine \fIerrret\fR:
-.RS
 .TP 5
 .B 1
 means that the terminal is hardcopy, cannot be used for curses applications.
@@ -167,7 +184,6 @@
 .TP 5
 .B \-1
 means that the \fBterminfo\fR database could not be found.
-.RE
 .PP
 If \fIerrret\fR is
 null, \fBsetupterm\fR prints an error message upon finding an error
@@ -177,18 +193,33 @@
 .sp
 which uses all the defaults and sends the output to \fBstdout\fR.
 .PP
-The \fBsetterm\fR routine is being replaced by \fBsetupterm\fR.  The call:
+The \fBsetterm\fR routine was replaced by \fBsetupterm\fR.  The call:
 .sp
       \fBsetupterm(\fR\fIterm\fR\fB, 1, (int *)0)\fR
 .sp
 provides the same functionality as \fBsetterm(\fR\fIterm\fR\fB)\fR.
-The \fBsetterm\fR routine is included here for BSD compatibility, and
+The \fBsetterm\fR routine is provided for BSD compatibility, and
 is not recommended for new programs.
+.\" ***************************************************************************
+.SS The Terminal State
 .PP
-The \fBset_curterm\fR routine sets the variable \fBcur_term\fR to
+The \fBsetupterm\fR routine stores its information about the terminal
+in a \fBTERMINAL\fP structure pointed to by the global variable \fBcur_term\fP.
+If it detects an error,
+or decides that the terminal is unsuitable (hardcopy or generic),
+it discards this information,
+making it not available to applications.
+.PP
+If \fBsetupterm\fP is called repeatedly for the same terminal type,
+it will reuse the information.
+It maintains only one copy of a given terminal's capabilities in memory.
+If it is called for different terminal types,
+\fBsetupterm\fP allocates new storage for each set of terminal capabilities.
+.PP
+The \fBset_curterm\fR routine sets \fBcur_term\fR to
 \fInterm\fR, and makes all of the \fBterminfo\fR boolean, numeric, and
-string variables use the values from \fInterm\fR.  It returns the old value
-of \fBcur_term\fR.
+string variables use the values from \fInterm\fR.
+It returns the old value of \fBcur_term\fR.
 .PP
 The \fBdel_curterm\fR routine frees the space pointed to by
 \fIoterm\fR and makes it available for further use.  If \fIoterm\fR is
@@ -198,11 +229,14 @@
 .PP
 The \fBrestartterm\fR routine is similar to \fBsetupterm\fR and \fBinitscr\fR,
 except that it is called after restoring memory to a previous state (for
-example, when reloading a game saved as a core image dump).  It assumes that
-the windows and the input and output options are the same as when memory was
-saved, but the terminal type and baud rate may be different.  Accordingly,
-it saves various tty state bits, calls \fBsetupterm\fP,
-and then restores the bits.
+example, when reloading a game saved as a core image dump).
+\fBrestartterm\fP assumes that the windows and the input and output options
+are the same as when memory was saved,
+but the terminal type and baud rate may be different.
+Accordingly, \fBrestartterm\fP saves various tty state bits,
+calls \fBsetupterm\fP, and then restores the bits.
+.\" ***************************************************************************
+.SS Formatting Output
 .PP
 The \fBtparm\fR routine instantiates the string \fIstr\fR with
 parameters \fIpi\fR.  A pointer is returned to the result of \fIstr\fR
@@ -211,6 +245,8 @@
 \fBtiparm\fP is a newer form of \fBtparm\fP which uses \fI<stdarg.h>\fP
 rather than a fixed-parameter list.
 Its numeric parameters are integers (int) rather than longs.
+.\" ***************************************************************************
+.SS Output Functions
 .PP
 The \fBtputs\fR routine applies padding information to the string
 \fIstr\fR and outputs it.  The \fIstr\fR must be a terminfo string
@@ -244,26 +280,48 @@
 .PP
 The \fBmvcur\fR routine provides low-level cursor motion.  It takes
 effect immediately (rather than at the next refresh).
+.\" ***************************************************************************
+.SS Terminal Capability Functions
 .PP
 The \fBtigetflag\fR, \fBtigetnum\fR and \fBtigetstr\fR routines return
 the value of the capability corresponding to the \fBterminfo\fR
 \fIcapname\fR passed to them, such as \fBxenl\fR.
+The \fIcapname\fR for each capability is given in the table column entitled
+\fIcapname\fR code in the capabilities section of \fBterminfo\fR(\*n).
 .PP
-The \fBtigetflag\fR routine returns the value \fB\-1\fR if
-\fIcapname\fR is not a boolean capability,
-or \fB0\fR if it is canceled or absent from the terminal description.
-.PP
-The \fBtigetnum\fR routine returns the value \fB\-2\fR if
-\fIcapname\fR is not a numeric capability,
-or \fB\-1\fR if it is canceled or absent from the terminal description.
+These routines return special values to denote errors.
 .PP
-The \fBtigetstr\fR routine returns the value \fB(char *)\-1\fR
+The \fBtigetflag\fR routine returns
+.TP
+\fB\-1\fR
+if \fIcapname\fR is not a boolean capability,
+or
+.TP
+\fB0\fR
+if it is canceled or absent from the terminal description.
+.PP
+The \fBtigetnum\fR routine returns
+.TP
+\fB\-2\fR
+if \fIcapname\fR is not a numeric capability, or
+.TP
+\fB\-1\fR
+if it is canceled or absent from the terminal description.
+.PP
+The \fBtigetstr\fR routine returns
+.TP
+\fB(char *)\-1\fR
 if \fIcapname\fR is not a string capability,
-or \fB0\fR if it is canceled or absent from the terminal description.
-.PP
-The \fIcapname\fR for each capability is given in the table column entitled
-\fIcapname\fR code in the capabilities section of \fBterminfo\fR(\*n).
-.sp
+or
+.TP
+\fB0\fR
+if it is canceled or absent from the terminal description.
+.\" ***************************************************************************
+.SS Terminal Capability Names
+These null-terminated arrays contain
+the short terminfo names ("codes"),
+the \fBtermcap\fR names, and the long terminfo names ("fnames")
+for each of the predefined \fBterminfo\fR variables:
 .RS
 \fBchar *boolnames[]\fR, \fB*boolcodes[]\fR, \fB*boolfnames[]\fR
 .sp
@@ -271,10 +329,6 @@
 .sp
 \fBchar *strnames[]\fR, \fB*strcodes[]\fR, \fB*strfnames[]\fR
 .RE
-.PP
-These null-terminated arrays contain the \fIcapnames\fR, the
-\fBtermcap\fR codes, and the full C names, for each of the
-\fBterminfo\fR variables.
 .SH RETURN VALUE
 Routines that return an integer return \fBERR\fR upon failure and \fBOK\fR
 (SVr4 only specifies "an integer value other than \fBERR\fR") upon successful
@@ -309,15 +363,12 @@
 X/Open states that \fBtputs\fP ignores the return value
 of the output function \fIputc\fP.
 .RE
-.SH NOTES
-The \fBsetupterm\fR routine should be used in place of \fBsetterm\fR.
-It may be useful when you want to test for terminal capabilities without
-committing to the allocation of storage involved in \fBinitscr\fR.
-.PP
-Note that \fBvidattr\fR and \fBvidputs\fR may be macros.
 .SH PORTABILITY
+X/Open notes that \fBvidattr\fR and \fBvidputs\fR may be macros.
+.PP
 The function \fBsetterm\fR is not described by X/Open and must
-be considered non-portable.  All other functions are as described by X/Open.
+be considered non-portable.
+All other functions are as described by X/Open.
 .PP
 \fBsetupterm\fP copies the terminal name to the array \fBttytype\fP.
 This is not part of X/Open Curses, but is assumed by some applications.
@@ -326,11 +377,11 @@
 e.g., for the MinGW port,
 .bP
 \fBsetupterm\fP interprets a missing/empty TERM variable as the
-special value ``unknown''.
+special value \*(``unknown\*(''.
 .bP
 \fBsetupterm\fP allows explicit use of the
 the windows console driver by checking if $TERM is set to
-``#win32con'' or an abbreviation of that string.
+\*(``#win32con\*('' or an abbreviation of that string.
 .PP
 Older versions of \fBncurses\fP assumed that the file descriptor passed to
 \fBsetupterm\fP from \fBinitscr\fP or \fBnewterm\fP uses buffered I/O,
@@ -366,7 +417,7 @@
 zeroes are fine for this purpose.
 .PP
 In response to comments by Thomas E. Dickey,
-X/Open Curses Issue 7 proposed the \fBtiparam\fP function in mid-2009.
+X/Open Curses Issue 7 proposed the \fBtiparm\fP function in mid-2009.
 .PP
 X/Open notes that after calling \fBmvcur\fR, the curses state may not match the
 actual terminal state, and that an application should touch and refresh
@@ -380,8 +431,12 @@
 This implementation allows the caller to use \-1's for the old ordinates.
 In that case, the old location is unknown.
 .PP
+Other implementions may not declare the capability name arrays.
+Some provide them without declaring them.
+X/Open does not specify them.
+.PP
 Extended terminal capability names, e.g., as defined by \fB@TIC@\ \-x\fP,
-are not stored in the arrays described in this section.
+are not stored in the arrays described here.
 .SH SEE ALSO
 \fBcurses\fR(3X),
 \fBcurs_initscr\fR(3X),
Index: man/curs_util.3x
Prereq:  1.36 
--- ncurses-5.9-20130713+/man/curs_util.3x	2012-07-21 18:51:10.000000000 +0000
+++ ncurses-5.9-20130720/man/curs_util.3x	2013-07-20 19:43:45.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,8 +27,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_util.3x,v 1.36 2012/07/21 18:51:10 tom Exp $
+.\" $Id: curs_util.3x,v 1.37 2013/07/20 19:43:45 tom Exp $
 .TH curs_util 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .de bP
 .IP \(bu 4
 ..
@@ -84,10 +88,12 @@
 The corresponding \fBwunctrl\fR returns a printable representation of
 a wide character.
 .PP
-The \fBkeyname\fR routine returns a character string corresponding to the key \fIc\fR:
+The \fBkeyname\fR routine returns a character string
+corresponding to the key \fIc\fR:
 .RS 3
 .bP
-Printable characters are displayed as themselves, e.g., a one-character string containing the key.
+Printable characters are displayed as themselves,
+e.g., a one-character string containing the key.
 .bP
 Control characters are displayed in the \fB^\fR\fIX\fR notation.
 .bP
@@ -203,7 +209,8 @@
 The \fBdelay_output\fR routine inserts an \fIms\fR millisecond pause
 in output.  This routine should not be used extensively because
 padding characters are used rather than a CPU pause.
-If no padding character is specified, this uses \fBnapms\fR to perform the delay.
+If no padding character is specified,
+this uses \fBnapms\fR to perform the delay.
 .PP
 The \fBflushinp\fR routine throws away any typeahead that has been typed by the
 user and has not yet been read by the program.
@@ -241,12 +248,13 @@
 If \fBuse_legacy_coding\fP has been called with a \fB2\fP parameter,
 \fBunctrl\fP returns the parameter, i.e., a one-character string with
 the parameter as the first character.
-Otherwise, it returns ``~@'', ``~A'', etc., analogous to ``^@'', ``^A'', C0 controls.
+Otherwise, it returns \*(``~@\*('', \*(``~A\*('', etc.,
+analogous to \*(``^@\*('', \*(``^A\*('', C0 controls.
 .IP
 X/Open Curses does not document whether \fBunctrl\fP can be called before
 initializing curses.
 This implementation permits that,
-and returns the ``~@'', etc., values in that case.
+and returns the \*(``~@\*('', etc., values in that case.
 .bP
 parameter values outside the 0 to 255 range.
 \fBunctrl\fP returns a null pointer.
@@ -272,13 +280,13 @@
 Likewise, the \fBmeta\fP function allows the caller to change the
 output of \fBkeyname\fP, i.e.,
 it determines whether to use the `M\-' prefix
-for ``meta'' keys (codes in the range 128 to 255).
+for \*(``meta\*('' keys (codes in the range 128 to 255).
 Both \fBuse_legacy_coding\fP and \fBmeta\fP succeed only after
 curses is initialized. 
 X/Open Curses does not document the treatment of codes 128 to 159.
-When treating them as ``meta'' keys
+When treating them as \*(``meta\*('' keys
 (or if \fBkeyname\fP is called before initializing curses),
-this implementation returns strings ``M\-^@'', ``M\-^A'', etc.
+this implementation returns strings \*(``M\-^@\*('', \*(``M\-^A\*('', etc.
 .PP
 The \fBkeyname\fP function may return the names of user-defined
 string capabilities which are defined in the terminfo entry via the \fB\-x\fP
Index: man/ncurses.3x
Prereq:  1.111 
--- ncurses-5.9-20130713+/man/ncurses.3x	2013-03-02 22:15:25.000000000 +0000
+++ ncurses-5.9-20130720/man/ncurses.3x	2013-07-20 19:29:59.000000000 +0000
@@ -27,9 +27,13 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: ncurses.3x,v 1.111 2013/03/02 22:15:25 tom Exp $
+.\" $Id: ncurses.3x,v 1.112 2013/07/20 19:29:59 tom Exp $
 .hy 0
 .TH ncurses 3X ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .de bP
 .IP \(bu 4
 ..
@@ -43,7 +47,7 @@
 .SH DESCRIPTION
 The \fBncurses\fR library routines give the user a terminal-independent method
 of updating character screens with reasonable optimization.
-This implementation is ``new curses'' (ncurses) and
+This implementation is \*(``new curses\*('' (ncurses) and
 is the approved replacement for
 4.4BSD classic curses, which has been discontinued.
 This describes \fBncurses\fR
Index: man/tic.1m
Prereq:  1.57 
--- ncurses-5.9-20130713+/man/tic.1m	2013-02-02 22:09:02.000000000 +0000
+++ ncurses-5.9-20130720/man/tic.1m	2013-07-20 19:31:25.000000000 +0000
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tic.1m,v 1.57 2013/02/02 22:09:02 tom Exp $
+.\" $Id: tic.1m,v 1.58 2013/07/20 19:31:25 tom Exp $
 .TH @TIC@ 1M ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .ds n 5
 .ds d @TERMINFO@
 .de bP
@@ -275,7 +279,7 @@
 Names of files created and linked
 .TP
 2
-Information related to the ``use'' facility
+Information related to the \*(``use\*('' facility
 .TP
 3
 Statistics from the hashing algorithm
@@ -306,7 +310,7 @@
 it will infer its type (boolean, number or string) from the syntax and
 make an extended table entry for that.
 User-defined capability strings
-whose name begins with ``k'' are treated as function keys.
+whose name begins with \*(``k\*('' are treated as function keys.
 .SS PARAMETERS
 .TP
 \fIfile\fR
@@ -315,7 +319,7 @@
 Each description in the file
 describes the capabilities of a particular terminal.
 .IP
-If \fIfile\fR is ``-'', then the data is read from the standard input.
+If \fIfile\fR is \*(``-\*('', then the data is read from the standard input.
 The \fIfile\fR parameter may also be the path of a character-device.
 .SS PROCESSING
 .PP
Index: man/tset.1
Prereq:  1.27 
--- ncurses-5.9-20130713+/man/tset.1	2011-12-17 23:20:35.000000000 +0000
+++ ncurses-5.9-20130720/man/tset.1	2013-07-20 19:40:55.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2010,2011 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2011,2013 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,12 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tset.1,v 1.27 2011/12/17 23:20:35 tom Exp $
+.\" $Id: tset.1,v 1.28 2013/07/20 19:40:55 tom Exp $
 .TH @TSET@ 1 ""
+.ie \n(.g .ds `` \(lq
+.el       .ds `` ``
+.ie \n(.g .ds '' \(rq
+.el       .ds '' ''
 .SH NAME
 \fB@TSET@\fR, \fBreset\fR \- terminal initialization
 .SH SYNOPSIS
@@ -49,13 +53,13 @@
 \fIgetty\fR does this job by setting
 \fBTERM\fR according to the type passed to it by \fI/etc/inittab\fR.)
 .PP
-4. The default terminal type, ``unknown''.
+4. The default terminal type, \*(``unknown\*(''.
 .PP
 If the terminal type was not specified on the command-line, the \fB\-m\fR
 option mappings are then applied (see the section
 .B TERMINAL TYPE MAPPING
 for more information).
-Then, if the terminal type begins with a question mark (``?''), the
+Then, if the terminal type begins with a question mark (\*(``?\*(''), the
 user is prompted for confirmation of the terminal type.  An empty
 response confirms the type, or, another type can be entered to specify
 a new type.  Once the terminal type has been determined, the terminfo
@@ -138,7 +142,7 @@
 .PP
 The arguments for the \fB\-e\fR, \fB\-i\fR, and \fB\-k\fR
 options may either be entered as actual characters or by using the `hat'
-notation, i.e., control-h may be specified as ``^H'' or ``^h''.
+notation, i.e., control-h may be specified as \*(``^H\*('' or \*(``^h\*(''.
 .
 .SH SETTING THE ENVIRONMENT
 It is often desirable to enter the terminal type and information about
@@ -147,7 +151,7 @@
 .PP
 When the \fB\-s\fR option is specified, the commands to enter the information
 into the shell's environment are written to the standard output.  If
-the \fBSHELL\fR environmental variable ends in ``csh'', the commands
+the \fBSHELL\fR environmental variable ends in \*(``csh\*('', the commands
 are for \fBcsh\fR, otherwise, they are for \fBsh\fR.
 Note, the \fBcsh\fR commands set and unset the shell variable
 \fBnoglob\fR, leaving it unset.  The following line in the \fB.login\fR
@@ -166,16 +170,22 @@
 The purpose of the \fB\-m\fR option is to map
 from some set of conditions to a terminal type, that is, to
 tell \fB@TSET@\fR
-``If I'm on this port at a particular speed, guess that I'm on that
-kind of terminal''.
+\*(``If I'm on this port at a particular speed,
+guess that I'm on that kind of terminal\*(''.
 .PP
 The argument to the \fB\-m\fR option consists of an optional port type, an
 optional operator, an optional baud rate specification, an optional
-colon (``:'') character and a terminal type.  The port type is a
-string (delimited by either the operator or the colon character).  The
-operator may be any combination of ``>'', ``<'', ``@'', and ``!''; ``>''
-means greater than, ``<'' means less than, ``@'' means equal to
-and ``!'' inverts the sense of the test.
+colon (\*(``:\*('') character and a terminal type.  The port type is a
+string (delimited by either the operator or the colon character).
+The operator may be any combination of
+\*(``>\*('',
+\*(``<\*('',
+\*(``@\*('',
+and \*(``!\*('';
+\*(``>\*('' means greater than,
+\*(``<\*('' means less than,
+\*(``@\*('' means equal to and
+\*(``!\*('' inverts the sense of the test.
 The baud rate is specified as a number and is compared with the speed
 of the standard error output (which should be the control terminal).
 The terminal type is a string.
@@ -205,8 +215,8 @@
 No whitespace characters are permitted in the \fB\-m\fR option argument.
 Also, to avoid problems with meta-characters, it is suggested that the
 entire \fB\-m\fR option argument be placed within single quote characters,
-and that \fBcsh\fR users insert a backslash character (``\e'') before
-any exclamation marks (``!'').
+and that \fBcsh\fR users insert a backslash character (\*(``\e\*('') before
+any exclamation marks (\*(``!\*('').
 .SH HISTORY
 The \fB@TSET@\fR command appeared in BSD 3.0.  The \fBncurses\fR implementation
 was lightly adapted from the 4.4BSD sources for a terminfo environment by Eric
@@ -218,11 +228,13 @@
 \fB@TSET@\fR's most important use).  This implementation behaves like 4.4BSD
 tset, with a few exceptions specified here.
 .PP
-The \fB\-S\fR option of BSD tset no longer works; it prints an error message to stderr
-and dies.  The \fB\-s\fR option only sets \fBTERM\fR, not \fBTERMCAP\fP.  Both these
-changes are because the \fBTERMCAP\fR variable is no longer supported under
-terminfo-based \fBncurses\fR, which makes \fB@TSET@ \-S\fR useless (we made it die
-noisily rather than silently induce lossage).
+The \fB\-S\fR option of BSD tset no longer works;
+it prints an error message to stderr and dies.
+The \fB\-s\fR option only sets \fBTERM\fR, not \fBTERMCAP\fP.
+Both of these changes are because the \fBTERMCAP\fR variable
+is no longer supported under terminfo-based \fBncurses\fR,
+which makes \fB@TSET@ \-S\fR useless
+(we made it die noisily rather than silently induce lossage).
 .PP
 There was an undocumented 4.4BSD feature that invoking tset via a link named
 `TSET` (or via any other name beginning with an upper-case letter) set the
@@ -236,16 +248,18 @@
 The \fB\-a\fR, \fB\-d\fR, and \fB\-p\fR options are similarly
 not documented or useful, but were retained as they appear to be in
 widespread use.  It is strongly recommended that any usage of these
-three options be changed to use the \fB\-m\fR option instead.  The
-\fB\-n\fP option remains, but has no effect.  The \fB\-adnp\fR options are therefore
-omitted from the usage summary above.
-.PP
-It is still permissible to specify the \fB\-e\fR, \fB\-i\fR, and \fB\-k\fR options without
-arguments, although it is strongly recommended that such usage be fixed to
+three options be changed to use the \fB\-m\fR option instead.
+The \fB\-n\fP option remains, but has no effect.
+The \fB\-adnp\fR options are therefore omitted from the usage summary above.
+.PP
+It is still permissible to specify the \fB\-e\fR, \fB\-i\fR,
+and \fB\-k\fR options without arguments,
+although it is strongly recommended that such usage be fixed to
 explicitly specify the character.
 .PP
-As of 4.4BSD, executing \fB@TSET@\fR as \fBreset\fR no longer implies the \fB\-Q\fR
-option.  Also, the interaction between the \- option and the \fIterminal\fR
+As of 4.4BSD,
+executing \fB@TSET@\fR as \fBreset\fR no longer implies the \fB\-Q\fR option.
+Also, the interaction between the \- option and the \fIterminal\fR
 argument in some historic implementations of \fB@TSET@\fR has been removed.
 .SH ENVIRONMENT
 The \fB@TSET@\fR command uses these environment variables:
Index: package/debian/changelog
--- ncurses-5.9-20130713+/package/debian/changelog	2013-07-13 18:01:08.000000000 +0000
+++ ncurses-5.9-20130720/package/debian/changelog	2013-07-20 16:49:52.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20130713) unstable; urgency=low
+ncurses6 (5.9-20130720) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Jul 2013 14:01:04 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Jul 2013 12:49:49 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20130713+/package/ncurses.spec	2013-07-13 18:01:08.000000000 +0000
+++ ncurses-5.9-20130720/package/ncurses.spec	2013-07-20 16:49:35.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20130713
+Version: 20130720
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
